Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.client
Class WLSSLAdapter

    java.lang.Object
      weblogic.webservice.client.BaseWLSSLAdapter
          weblogic.webservice.client.WLSSLAdapter

All Implemented Interfaces:
  SSLAdapter

Deprecated. please migrate to jws for webservices

    public final class WLSSLAdapter

extends BaseWLSSLAdapter

WLSSLContext.java Created: Mon Apr 8 19:24:52 2002

Field Summary

Fields inherited from class weblogic.webservice.client.BaseWLSSLAdapter
`ENFORCE_CONSTRAINTS, STRICT_CHECKING_DEFAULT, strictCertChecking, TRUSTED_CERTS, trustedCertFile, verbose, VERBOSE_PROPERTY`

Constructor Summary
`WLSSLAdapter()` Deprecated.
`WLSSLAdapter(boolean strict)` Deprecated.

Method Summary
`URLConnection` | `openConnection(URL url)` Deprecated. Opens connection to URL
`void` | `setStrictChecking(boolean strict)` Deprecated. Disable strict certificate checking.

Methods inherited from class weblogic.webservice.client.BaseWLSSLAdapter
`adapterUsed, addIdentity, addIdentity, addIdentity, clearProxy, createSocket, getContext, getIdentity, getProtocolVersion, getSocketFactory, getStrictCheckingDefault, loadLocalIdentity, removeIdentity, removeIdentity, setProtocolVersion, setProxy, setStrictCheckingDefault, setTrustedCertificatesFile, setTrustManager, setTrustManager, setVerbose, X509java2javax, X509java2javax, X509javax2java, X509javax2java`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLSSLAdapter

    public WLSSLAdapter()

  Deprecated.

### WLSSLAdapter

    public WLSSLAdapter(boolean strict)

  Deprecated.

Method Detail

### openConnection

    public final URLConnection openConnection(URL url)
                                       throws IOException

  Deprecated.
  Opens connection to URL

  Specified by:
    `openConnection` in interface `SSLAdapter`
  Specified by:
    `openConnection` in class `BaseWLSSLAdapter`
  Parameters:
    `url` - URL we will be connecting to
  Returns:
    URLConnection
  Throws:
    `IOException` - if error occurs while accessing Socket

### setStrictChecking

    public final void setStrictChecking(boolean strict)

  Deprecated.
  Disable strict certificate checking. Disabling strict certificate checking will cause all certificates to be accepted with warnings to standard out. When disabled, this adapter will set the TrustManager of all sockets (including those used in URLConnections) and the HostnameVerifier of all URLConnections to to instances that accept all certificates.Setting it to true will revert them to their original values. This cannot value cannot be changed once the Adapter has been used.

  Parameters:
    `strict` - whether or not certificate checking is strictly enforced.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD